Subject: Re: bug#41715: The program '/gnu/store/foobar/compute-guix-derivation' failed to compute the derivation for guix

From: [email-masked]
Date: Fri, 05 Jun 2020 07:54:06 +0200

Hej Ludo,

thanks for the quick reply!

I just tried to pull again and yielded the same result.

Actually, no, there is nothing above these lines. Yet, let me copy/paste 
the whole command in/output. It is in german but I guess the steps are 
so common by now that it shouldnt be a problem to understand :)

# user@computer ~$ guix pull
# Kanal „guix“ wird vom Git-Repository auf 
„https://git.savannah.gnu.org/git/guix.git“ aktualisiert …
# Von diesen Kanälen wird erstellt:
#   guix      https://git.savannah.gnu.org/git/guix.git   0713929
# guix pull: error: You found a bug: the program 
'/gnu/store/kpxami25fi3mrxb37sfbbx2s366chpk5-compute-guix-derivation'
# failed to compute the derivation for Guix (version: 
"0713929685d2fd1970df1b1ce238ee7bd6e892f8"; system: "x86_64-linux";
# host version: "398ec3c1e265a3f89ed07987f33b264db82e4080"; 
pull-version: 1).
# Please report it by email to <[email-masked]>.

Also, now I am sure it has nothing to do with ram. Apart from the 
already available ram, I resized my swapdevice.

Is there anything else I should test? One thing I could do is to 
roll-back (I did a upgrade/reconfigure cycle after installation). Should 
I do that and then pull again?

Greetings,
Olivier

On 04.06.2020 22:00, Ludovic Courtès wrote:
> Hello,
> 
> [email-masked] skribis:
> 
>> on a freshly installed and reconfigured machine, I receive the
>> following error:
>> # guix pull: error: You found a bug: the program
>> '/gnu/store/kpxami25fi3mrxb37sfbbx2s366chpk5-compute-guix-derivation'
>> # failed to compute the derivation for Guix (version:
>> "790ada9168e0689c1c4607c61cdc1d2dbc327abf"; system: "x86_64-linux";
>> # host version: "398ec3c1e265a3f89ed07987f33b264db82e4080";
>> pull-version: 1).
> 
> Is there more info above these lines?
> 
> I tried to reproduce it with:
> 
>   guix time-machine --commit=398ec3c1e265a3f89ed07987f33b264db82e4080 \
>     -- time-machine --commit=790ada9168e0689c1c4607c61cdc1d2dbc327abf \
>     -- describe
> 
> but it works for me.
> 
>> I'm not entirely sure if, in this case, it is about RAM, as has been
>> mentioned in this thread: https://issues.guix.gnu.org/41710 . I do
>> have 24gb ram, but currently a small swap file, but that might be
>> totally unrelated.
> 
> 24 GiB is more than enough.
> 
> Is the problem reproducible if you try again now?
> 
> Thanks for reporting the issue,
> Ludo’.